import { TokenStream } from 'antlr4ng';
export interface TableQueryPosition {
    start: number;
    end: number;
    type: 'from' | 'alter' | 'insert' | 'update';
    joinTableQueryPosition?: Omit<TableQueryPosition, 'joinTableQueryPosition' | 'type'>;
}
export interface TokenDictionary {
    SPACE: number;
    FROM: number;
    OPENING_BRACKET: number;
    CLOSING_BRACKET: number;
    ALTER: number;
    INSERT: number;
    UPDATE: number;
    JOIN: number;
    SEMICOLON: number;
}
export declare function getTableQueryPosition(tokenStream: TokenStream, tokenIndex: number, dictionary: TokenDictionary): TableQueryPosition | undefined;
export declare function hasPreviousToken(tokenStream: TokenStream, dictionary: TokenDictionary, tokenIndex: number, tokenType: number): boolean;
